Loading...
Searching...
No Matches
Halide::Internal::ReductionVariable Struct Reference

A single named dimension of a reduction domain. More...

`#include <Reduction.h>`

## Classes

struct | Compare
| This lets you use a ReductionVariable as a key in a map of the form map<ReductionVariable, Foo, ReductionVariable::Compare>. More...

## Public Attributes

std::string | var
| A variable name for the reduction variable.
Expr | min
Expr | extent

## Detailed Description

A single named dimension of a reduction domain.

Definition at line 16 of file Reduction.h.

## Member Data Documentation

## var

std::string Halide::Internal::ReductionVariable::var

A variable name for the reduction variable.

This name must be a valid Var name, i.e. it must not contain a . character.

Definition at line 21 of file Reduction.h.

Referenced by Halide::Internal::ReductionVariable::Compare::operator()().

## min

Expr Halide::Internal::ReductionVariable::min

Definition at line 23 of file Reduction.h.

## extent

Expr Halide::Internal::ReductionVariable::extent

Definition at line 23 of file Reduction.h.

The documentation for this struct was generated from the following file:

- src/Reduction.h